Subject: Re: bug#21990: htmlfontify fails to generate highly highlighted regions

From: Hong Xu <[email-masked]>
Date: Mon, 18 Jan 2016 00:22:49 -0800

On 01/17/2016 02:21 PM, Phillip Lord wrote:
> Hong Xu <[email-masked]> writes:
> 
>> This issue is also possibly caused by bug #18128, which
>> diff-auto-refine-mode does not put the highlight into the font-lock.
> 
> 
> I don't think it's related to font-lock, as htmlfontify checks both
> 'face and 'font-lock-face. I think htmlfontify was not dealing correctly
> with faces when they overlap. I've pushed a fix to
> fix/htmlfontify-21990.
> 
> http://lists.gnu.org/archive/html/emacs-diffs/2016-01/msg00277.html
> 
> Can you test and confirm? If so, I'll finish the patch and merge.
> 

Hi Phillip,

I've tested it---yes now the highlighted regions display differently,
but the highlighting actually is just the same as the background...

I've attached the generated html file, so you can view it.